inputs @ { pkgs, lib, ...}: let
  # NixOS version
  # Function to create the home-manager configuration for the account
  aliceUserFn = {pkgs, ...}: {
    imports = [
      ../apps
    ];

    home = {
      packages = with pkgs; [
        htop
      ]; # Default packages for the owner account.
    };
  };
in {
  imports = [(lib.modules.importApply ./user.nix {
    user = {
      userName = "alice";
      defaultPassword = "password";
      shell = pkgs.zsh;
      packages = with pkgs; [
        tree
        vim
        wget
        curl
        git
      ];
      userModule = aliceUserFn;
    };
  })];
}
