{config, ...}:
let
  theme = import ../data/theme.nix {inherit config; };

in {
  programs.alacritty = {
    enable = true;
    settings = {
      font.normal.family = "monospace";
      window = {
        dynamic_title = true;
        title = "Alacritty";
      };

      # gruvbox dark theme
      colors = {
        primary = {
          inherit (theme) background foreground;
        };

        inherit (theme) normal bright;
      };

      keyboard = {
        bindings = [
          {
            key = "Return";
            mods = "Shift|Control";
            action = "SpawnNewInstance";
          }
        ];
      };
    };
  };
}
