{pkgs, ...}:
let
  user = import ../data/user.nix {};
in {
  imports = [
    ./alacritty.nix
    ./firefox.nix
    ./sway.nix
    ./waybar.nix
    ./zsh.nix
    ./rofi.nix
  ];

  fonts.fontconfig.enable = true;
  home = {
    stateVersion = "25.05";
    homeDirectory = "/home/${user.username}";
    username = user.username;

    sessionVariables = {
      EDITOR = "nvim";
      VISUAL = "nvim";
    };

    packages = with pkgs; [
      # Add your global packages here
      neovim
      git
      wget
      curl
      htop
      tree
      htop
      pavucontrol
    ];
  };
}
