{pkgs, ...}:
let
  user = import ../data/user.nix {};
in {
  users.users.${user.username} = {
    shell = pkgs.zsh;
    group = "users";
    home = "/home/${user.username}";
    createHome = true;
    isNormalUser = true;
    extraGroups = [ "wheel" "input" ]; 
  };

  programs.zsh.enable = true;

  services = {
    greetd = {
      enable = true;
      settings = {
        default_session = {
          command = "${pkgs.greetd.tuigreet}/bin/tuigreet --time --cmd sway";
          user = "greeter";
        };
      };
    };
  };

  home-manager.users.${user.username} = { ... }: {
    imports = [ ../home ];
  };
}
